com.genesyslab.wfm7.API.service.config761

## Class CfgSortMode

- java.lang.Object
- - com.genesyslab.wfm7.API.service.config761.CfgSortMode

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSortMode
      extends java.lang.Object
      implements java.io.Serializable

  Used to specify a sort mode in request
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private boolean` | `ascending` Specifies a sort order ("true" - ascending, "false" - descending).
    `private int` | `sortMode` Specifies a sort mode applicable for requested object (`ECfgSortMode`) Note that you can specify up to 3 secondary sort modes by shifting them into higher-bytes of sortMode.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSortMode()`
    `CfgSortMode(int sortMode, boolean ascending)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSortMode()` Gets the sortMode value for this CfgSortMode.
    `boolean` | `isAscending()` Gets the ascending value for this CfgSortMode.
    `void` | `setAscending(boolean ascending)` Sets the ascending value for this CfgSortMode.
    `void` | `setSortMode(int sortMode)` Sets the sortMode value for this CfgSortMode.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sortMode

          private int sortMode

      Specifies a sort mode applicable for requested object (`ECfgSortMode`) Note that you can specify up to 3 secondary sort modes by shifting them into higher-bytes of sortMode. For example, you can specify sort mode to sort Agents by Team name and have Agent's first name as a secondary sort mode: sortMode = CFG_AGENT_SORT_TEAM + (CFG_AGENT_SORT_FIRST_NAME << 8)

    - #### ascending

          private boolean ascending

      Specifies a sort order ("true" - ascending, "false" - descending). Note that descending sort order can also be specified by setting highest bit of any 8-bit sort mode specified. That allows specifying different sort orders for secondary sort modes specified in CfgSortMode.sortMode.

  - ### Constructor Detail

    - #### CfgSortMode

          public CfgSortMode()

    - #### CfgSortMode

          public CfgSortMode(int sortMode,
                     boolean ascending)

  - ### Method Detail

    - #### getSortMode

          public int getSortMode()

      Gets the sortMode value for this CfgSortMode.
      Returns:
        sortMode

    - #### setSortMode

          public void setSortMode(int sortMode)

      Sets the sortMode value for this CfgSortMode.
      Parameters:
        `sortMode` -

    - #### isAscending

          public boolean isAscending()

      Gets the ascending value for this CfgSortMode.
      Returns:
        ascending

    - #### setAscending

          public void setAscending(boolean ascending)

      Sets the ascending value for this CfgSortMode.
      Parameters:
        `ascending` -

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.